import numpy as np
import skimage.filters


class PsfInterface:

    def blur_image(self, image: np.ndarray) -> np.ndarray:
        pass


class PsfSimpleGaussian(PsfInterface):

    def __init__(self, pixel_fwhm: float):
        self._pixel_fwhm = pixel_fwhm

    def blur_image(self, image: np.ndarray) -> np.ndarray:
        sigma = self._pixel_fwhm / (2 * np.sqrt(2 * np.log(2)))

        return skimage.filters.gaussian(image, sigma=(sigma, sigma))
